summaryrefslogtreecommitdiffstats
path: root/business
diff options
context:
space:
mode:
author Fernando Lopez Jr2018-08-25 01:48:04 +0200
committer David Spencer2018-08-25 01:48:04 +0200
commitb94cf5628d60fa6fb1ecb15c0632dd78eb325eda (patch)
treedb9341901d4de325c45e2929ed7943698ccb486e /business
parent183c75e6ccd03744800ac194297eaa06f1abdbf3 (diff)
downloadslackbuilds-b94cf5628d60fa6fb1ecb15c0632dd78eb325eda.tar.gz
business/maltego: Added (osint and forensics).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'business')
-rw-r--r--business/maltego/README8
-rw-r--r--business/maltego/doinst.sh3
-rw-r--r--business/maltego/maltego.SlackBuild77
-rw-r--r--business/maltego/maltego.info10
-rw-r--r--business/maltego/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/business/maltego/README b/business/maltego/README
new file mode 100644
index 0000000000..6f9391c5c2
--- /dev/null
+++ b/business/maltego/README
@@ -0,0 +1,8 @@
+Maltego is proprietary software used for open-source intelligence and
+forensics, developed by Paterva. Maltego focuses on providing a library of
+transforms for discovery of data from open sources, and visualizing that
+information in a graph format, suitable for link analysis and data mining.
+
+It is used by security researchers and private investigators.
+
+Note: You need to request a free license to use this software.
diff --git a/business/maltego/doinst.sh b/business/maltego/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/business/maltego/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/business/maltego/maltego.SlackBuild b/business/maltego/maltego.SlackBuild
new file mode 100644
index 0000000000..a3e5f09ea3
--- /dev/null
+++ b/business/maltego/maltego.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for maltego
+
+# Copyright 2018 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=maltego
+VERSION=${VERSION:-4.1.13.11516}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "i586" ] && [ "$ARCH" != "i686" ] && [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/Maltego.v$VERSION.deb data.tar.gz | tar xvz
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+find . -name '.DS_Store' -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/doc/maltego/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/business/maltego/maltego.info b/business/maltego/maltego.info
new file mode 100644
index 0000000000..dc31889c8b
--- /dev/null
+++ b/business/maltego/maltego.info
@@ -0,0 +1,10 @@
+PRGNAM="maltego"
+VERSION="4.1.13.11516"
+HOMEPAGE="https://www.paterva.com"
+DOWNLOAD="https://www.paterva.com/malv41/Maltego.v4.1.13.11516.deb"
+MD5SUM="993b9dca487509fd0bafac4620fabd83"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/business/maltego/slack-desc b/business/maltego/slack-desc
new file mode 100644
index 0000000000..3241c9b09a
--- /dev/null
+++ b/business/maltego/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+maltego: maltego (osint and forensics)
+maltego:
+maltego: Maltego is proprietary software used for open-source intelligence and
+maltego: forensics, developed by Paterva. Maltego focuses on providing a
+maltego: library of transforms for discovery of data from open sources, and
+maltego: visualizing that information in a graph format, suitable for link
+maltego: analysis and data mining.
+maltego:
+maltego: Note: You need to request a free license to use this software.
+maltego:
+maltego: